Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class GoToDestination<T extends Destination>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action
              org.pdfclown.documents.interaction.actions.GoToDestination<T>

All Implemented Interfaces:
  Cloneable, IGoToAction, IPdfObjectWrapper

Direct Known Subclasses:
  GoToLocal, GoToNonLocal

    @PDF(value=PDF11)
    public abstract class GoToDestination<T extends Destination>

extends Action
implements IGoToAction

Abstract 'go to destination' action.

Since:
  0.0.8
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `GoToDestination(Document context, PdfName actionType, T destination)`
`protected` | `GoToDestination(PdfDirectObject baseObject)`

Method Summary
`T` | `getDestination()` Gets the destination to jump to.
`void` | `setDestination(T value)`

Methods inherited from class org.pdfclown.documents.interaction.actions.Action
`clone, getActions, setActions, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoToDestination

    protected GoToDestination(Document context,
                              PdfName actionType,
                              T destination)

### GoToDestination

    protected GoToDestination(PdfDirectObject baseObject)

Method Detail

### getDestination

    public T getDestination()

  Gets the destination to jump to.

### setDestination

    public void setDestination(T value)

  See Also:
    `getDestination()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.